# Programa para dibujar un rectángulo
# y texto sobre una imagen
# 08.08.2022
# Fraga
import sys
import cv2

n = len( sys.argv )
if n != 2 :
	print( "Args: nombre_imagen" )
	sys.exit(1)

nombre = sys.argv[1]

img1 = cv2.imread( nombre )
print( img1.shape )

# Dibujamos un rectángulo
# rectangle(img, pt1, pt2, color[, thickness[, lineType[, shift]]]) -> img

# El color tiene el forma BGR
img2 = cv2.rectangle( img1, (50, 50), (200,200), (0,0,255), 4 )

#cv2.putText = putText(...)
img1 = cv2.putText(img2, "Elipse", (50,50), 1, 2, (255,0,0), 2 )

cv2.imshow( "Imagen con un dibujo", img1 )
a = cv2.waitKey( 0 )
print( a )
